﻿@import url('variables.css');

/* Reset global */
*,
*::before,
*::after
 {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, html {
    font-family: var(--font-family-base) !important;
    font-size: var(--font-base) !important;
    font-weight: normal !important;
    color: var(--color-negro) !important;
    width: 100vw;
    height: 100vh;
    overflow-x: clip;
    scrollbar-gutter: stable;
}

.row {
    margin: 0px !important;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
    color: inherit;
}

img {
    max-width: 100%;
    /*height: auto;*/
}

.container-fluid {
    padding: 0px !important;
    margin: 0px !important;
}

/* -----------Scroll bar

/* Para navegadores modernos (Chrome, Edge, Safari, Opera) */
::-webkit-scrollbar {
    width: 7px; /* Ancho del scrollbar vertical */
    height: 7px; /* Altura del scrollbar horizontal */
}

::-webkit-scrollbar-track {
    background: #f1f1f1; /* Color del fondo de la pista */
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    background: #888; /* Color del scrollbar */
    border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
    background: #555; /* Color cuando pasas el mouse */
}

/* -----------Tipos de Textos ----------- */

/* Títulos */
h1, h2 {
    font-family: var(--font-family-base);
    font-weight: bold !important;
}

h3, h4, h5, h6 {
    font-family: var(--font-family-base);
    font-weight: 600 !important;
}

p, ol {
    font-size: var(--font-md);
    color: var(--color-gris-oscuro);
    font-weight: 400;
    margin-bottom: 0px !important;
}

.p--pequeño{
    font-size: var(--font-sm) !important;
}

.p--extrapequeño {
    font-size: var(--font-xs) !important;
}